"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const EventHelpers_1 = require("../../../../util/EventHelpers");
const domain_1 = require("../../../../domain");
const EventHelpers_2 = require("../../../util/EventHelpers");
const useMapEvents = ({ onNavLayerDeleted, onNavLayerShapeSet, onNavLayerPointSet }) => {
    (0, react_1.useEffect)(() => {
        (0, EventHelpers_1.subscribe)(domain_1.EvamEvent.NavLayerDeleted, onNavLayerDeleted);
        (0, EventHelpers_1.subscribe)(domain_1.EvamEvent.NavLayerPointSet, onNavLayerPointSet);
        (0, EventHelpers_1.subscribe)(domain_1.EvamEvent.NavLayerShapeSet, onNavLayerShapeSet);
        return () => {
            (0, EventHelpers_2.unsubscribe)(domain_1.EvamEvent.NavLayerDeleted, onNavLayerDeleted);
            (0, EventHelpers_2.unsubscribe)(domain_1.EvamEvent.NavLayerPointSet, onNavLayerPointSet);
            (0, EventHelpers_2.unsubscribe)(domain_1.EvamEvent.NavLayerShapeSet, onNavLayerShapeSet);
        };
    }, [onNavLayerDeleted, onNavLayerPointSet, onNavLayerShapeSet]);
};
exports.default = useMapEvents;
//# sourceMappingURL=useMapEvents.js.map