"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const generateId_1 = require("./generateId");
const deleteLayersById = (map, id) => {
    if (!map.current)
        return;
    let sourceId, layerId, labelLayerId, iconLayerId;
    sourceId = (0, generateId_1.generateId)("source", id);
    layerId = (0, generateId_1.generateId)("layer", id);
    labelLayerId = (0, generateId_1.generateId)("label", id);
    iconLayerId = (0, generateId_1.generateId)("image", id);
    let index = 0;
    do {
        // Remove text label layer
        if (map.current.getLayer(labelLayerId))
            map.current.removeLayer(labelLayerId);
        // Remove fill layer
        if (map.current.getLayer(layerId))
            map.current.removeLayer(layerId);
        //remove the image layer
        if (map.current.getLayer(iconLayerId))
            map.current.removeLayer(iconLayerId);
        // Remove source
        if (map.current.getSource(sourceId))
            map.current.removeSource(sourceId);
        sourceId = (0, generateId_1.generateId)("source", id, index);
        layerId = (0, generateId_1.generateId)("layer", id, index);
        labelLayerId = (0, generateId_1.generateId)("label", id, index);
        iconLayerId = (0, generateId_1.generateId)("image", id, index);
        index++;
    } while (map.current.getLayer(layerId) ||
        map.current.getLayer(labelLayerId) ||
        map.current.getLayer(iconLayerId) ||
        map.current.getSource(sourceId));
};
exports.default = deleteLayersById;
//# sourceMappingURL=deleteLayersById.js.map