"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateIds = exports.generateId = void 0;
const lodash_1 = require("lodash");
const generateId = (type, id, index) => {
    const userSourceString = `user${(0, lodash_1.capitalize)(type)}`;
    const toJoin = [userSourceString, id];
    if (index !== undefined)
        toJoin.push(index.toString());
    return toJoin.join("-");
};
exports.generateId = generateId;
const generateIds = (id, index) => {
    const sourceId = generateId("source", id, index);
    const layerId = generateId("layer", id, index);
    const labelId = generateId("label", id, index);
    const imageId = generateId("image", id, index);
    return {
        sourceId,
        layerId,
        labelId,
        imageId
    };
};
exports.generateIds = generateIds;
//# sourceMappingURL=generateId.js.map