"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EvamEvent = void 0;
/**
 * Event names for events specific to Vehicle Services.
 * All names are self-explanatory (_testEvent is specifically for testing purposes and is not used in the sdk or Vehicle Services)
 */
var EvamEvent;
(function (EvamEvent) {
    EvamEvent["NewOrUpdatedOperation"] = "newOrUpdatedOperation";
    EvamEvent["NewOrUpdatedSettings"] = "newOrUpdatedSettings";
    EvamEvent["NewOrUpdatedInternetState"] = "newOrUpdatedInternetState";
    EvamEvent["NewOrUpdatedDeviceRoles"] = "newOrUpdatedDeviceRoles";
    EvamEvent["NewOrUpdatedLocation"] = "newOrUpdatedLocation";
    EvamEvent["NewOrUpdatedVehicleState"] = "newOrUpdatedVehicleState";
    EvamEvent["NewOrUpdatedTripLocationHistory"] = "newOrUpdatedTripLocationHistory";
    EvamEvent["NewOrUpdateRakelState"] = "newOrUpdateRakelState";
    EvamEvent["NewOrUpdatedAvailableVehicleStatusList"] = "newOrUpdatedAvailableVehicleStatusList";
    EvamEvent["VehicleServicesNotificationSent"] = "vehicleServicesNotificationSent";
    EvamEvent["VehicleServicesNotificationCallbackTriggered"] = "vehicleServicesNotificationCallbackTriggered";
    EvamEvent["GRPCEstablished"] = "gRPCEstablished";
    EvamEvent["NewOrUpdatedOperationList"] = "newOrUpdatedOperationList";
    EvamEvent["NewOrUpdatedBattery"] = "newOrUpdatedBattery";
    EvamEvent["NewOrUpdatedDisplayMode"] = "newOrUpdatedDisplayMode";
    EvamEvent["OSVersionSet"] = "osVersionSet";
    EvamEvent["VehicleServicesVersionSet"] = "vehicleServicesVersionSet";
    EvamEvent["AppVersionSet"] = "appVersionSet";
    EvamEvent["DeviceIdSet"] = "deviceIdSet";
    EvamEvent["AppIdSet"] = "appIdSet";
    EvamEvent["NavLayerPointSet"] = "navLayerPointSet";
    EvamEvent["NavLayerShapeSet"] = "navLayerShapeSet";
    EvamEvent["NavLayerDeleted"] = "navLayerDeleted";
    EvamEvent["RawRakelActionSent"] = "rawRakelActionSent";
    EvamEvent["NewOrUpdatedRakelMessages"] = "newOrUpdatedRakelMessages";
    EvamEvent["RemoveNotification"] = "removeNotification";
    EvamEvent["MakeCall"] = "makeCall";
    EvamEvent["AnswerCall"] = "answerCall";
    EvamEvent["HangUpCall"] = "hangUpCall";
    EvamEvent["HoldCall"] = "holdCall";
    EvamEvent["UnholdCall"] = "unholdCall";
    EvamEvent["MuteMicrophone"] = "muteMicrophone";
    EvamEvent["UnmuteMicrophone"] = "unmuteMicrophone";
    EvamEvent["NewOrUpdatedCalls"] = "newOrUpdatedCalls";
    EvamEvent["NewOrUpdatedMuteState"] = "newOrUpdatedMuteState";
    EvamEvent["NewOrUpdatedAudioDeviceTypes"] = "newOrUpdatedAudioDeviceTypes";
    EvamEvent["SelectAudioDeviceType"] = "selectAudioDeviceType";
    EvamEvent["PlayRingtone"] = "playRingtone";
    EvamEvent["StopRingtone"] = "stopRingtone";
    EvamEvent["NewOrUpdatedIntercomEnabledState"] = "newOrUpdatedIntercomEnabledState";
    EvamEvent["EnableIntercom"] = "enableIntercom";
    EvamEvent["_testEvent"] = "_testEvent";
})(EvamEvent || (EvamEvent = {}));
exports.EvamEvent = EvamEvent;
//# sourceMappingURL=EvamEvent.js.map