declare class HospitalLocation {
    id: number;
    latitude: number;
    longitude: number;
    name: string | undefined;
    street1: string | undefined;
    city: string | undefined;
    region: string | undefined;
    postalCode: string | undefined;
    /**
     * Location of a hospital
     * @param id Hospital unique ID
     * @param latitude Latitude of hospital location
     * @param longitude Longitude of hospital location
     * @param name Name of hospital
     * @param street1 street address of hospital
     * @param city city in which hospital is located
     * @param region region in which hospital is located
     * @param postalCode postal code of hospital
     */
    constructor(id: number, latitude: number, longitude: number, name: string | undefined, street1: string | undefined, city: string | undefined, region: string | undefined, postalCode: string | undefined);
    /**
     * Create from JSON
     * @param hospitalLocation JSON object
     */
    static fromJSON(hospitalLocation: any): HospitalLocation;
}
export { HospitalLocation };
