"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HospitalLocation = void 0;
class HospitalLocation {
    /**
     * Location of a hospital
     * @param id Hospital unique ID
     * @param latitude Latitude of hospital location
     * @param longitude Longitude of hospital location
     * @param name Name of hospital
     * @param street1 street address of hospital
     * @param city city in which hospital is located
     * @param region region in which hospital is located
     * @param postalCode postal code of hospital
     */
    constructor(id, latitude, longitude, name, street1, city, region, postalCode) {
        this.id = id;
        this.latitude = latitude;
        this.longitude = longitude;
        this.name = name;
        this.street1 = street1;
        this.city = city;
        this.region = region;
        this.postalCode = postalCode;
    }
    /**
     * Create from JSON
     * @param hospitalLocation JSON object
     */
    static fromJSON(hospitalLocation) {
        if (hospitalLocation.id === undefined || hospitalLocation.latitude === undefined || hospitalLocation.longitude === undefined) {
            throw Error('id, latitude and longitude must be defined for HospitalLocation');
        }
        return new HospitalLocation(hospitalLocation.id, hospitalLocation.latitude, hospitalLocation.longitude, hospitalLocation.name, hospitalLocation.street1, hospitalLocation.city, hospitalLocation.region, hospitalLocation.postalCode);
    }
}
exports.HospitalLocation = HospitalLocation;
//# sourceMappingURL=HospitalLocation.js.map