"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Location = void 0;
class Location {
    /**
     * Location on a map
     * @param latitude latitude coordinate of the location
     * @param longitude longitude coordinate of the location
     * @param timestamp time the location was provided (ERRATA: this can in some cases be a number instead of a Date)
     */
    constructor(latitude, longitude, timestamp) {
        this.latitude = latitude;
        this.longitude = longitude;
        this.timestamp = timestamp;
    }
    /**
     * Create from JSON
     * @param loc JSON object
     */
    static fromJSON(loc) {
        if (loc.latitude === undefined || loc.longitude === undefined) {
            throw Error("Longitude and latitude must be declared for Location object.");
        }
        return new Location(loc.latitude, loc.longitude, loc.timestamp !== undefined ? new Date(loc.timestamp) : undefined);
    }
}
exports.Location = Location;
//# sourceMappingURL=Location.js.map