import { PhoneCallState } from "./PhoneCallState";
import { CallDisconnectCause } from "./CallDisconnectCause";
declare class PhoneCall {
    callId: string;
    callNumber: string;
    callState: PhoneCallState;
    disconnectCause: CallDisconnectCause | undefined;
    /**
     * Model class for the phone call.
     * @param callId the unique id of the call
     * @param callNumber the phone number that the call is connecting to
     * @param callState the state of the call. See {@link PhoneCallState}
     * @param disconnectCause The cause of the termination of a call. See {@link CallDisconnectCause}.
     */
    constructor(callId: string, callNumber: string, callState: PhoneCallState, disconnectCause: CallDisconnectCause | undefined);
    static fromJSON(data: any): PhoneCall;
}
export { PhoneCall };
