import { Location } from "./Location";
declare class TripLocationHistory {
    locationHistory: Array<Location>;
    etaSeconds: number | undefined;
    distanceToDestinationMeters: number | undefined;
    /**
     * An array of locations represents the history of the trip
     * @param locationHistory location array
     * @param etaSeconds 'estimated time of arrival' in seconds
     * @param distanceToDestinationMeters Remaining driving distance until destination in meters
     */
    constructor(locationHistory: Array<Location>, etaSeconds: number | undefined, distanceToDestinationMeters: number | undefined);
    /**
     * Create from JSON
     * @param tripLocationHistory JSON object
     */
    static fromJSON(tripLocationHistory: any): TripLocationHistory;
}
export { TripLocationHistory };
