"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unsubscribe = exports.subscribe = exports.publish = void 0;
/**
 * Low level method wrapper around document.addEventListener specifically for handling EvamEvents
 * @param eventName EvamEvent
 * @param listener callback
 */
function subscribe(eventName, listener) {
    document.addEventListener(eventName.toString(), listener);
}
exports.subscribe = subscribe;
/**
 * Low level method wrapper around document.removeEventListener specifically for handling EvamEvents
 * @param eventName EvamEvent
 * @param listener callback
 */
function unsubscribe(eventName, listener) {
    document.removeEventListener(eventName.toString(), listener);
}
exports.unsubscribe = unsubscribe;
/**
 * Low level method wrapper around document.dispatchEvent specifically for handling EvamEvents
 * @param eventName EvamEvent
 * @param data data to be passed to the callback
 */
function publish(eventName, data) {
    const event = new CustomEvent(eventName.toString(), { detail: data });
    document.dispatchEvent(event);
}
exports.publish = publish;
//# sourceMappingURL=EventHelpers.js.map